System.Data 2.0.0.0 System.Collections.CollectionBase

Column mappings define the mapping between data source and the target table.

If mappings are not defined—that is, the collection is empty—the columns are mapped implicitly based on ordinal position. For this to work, source and target schemas must match. If they do not, an is thrown.

If the collection is not empty, not every column present in the data source has to be specified. Those not mapped by the collection are ignored.

You can refer to source and target columns by either name or ordinal. You can mix by-name and by-ordinal column references in the same mappings collection.

Collection of objects that inherits from .

- Method
  2.0.0.0
  System.Data.SqlClient.SqlBulkCopyColumnMapping `` To be added.

  Adds the specified mapping to the .

  A object.

  The object that describes the mapping to be added to the collection.
- Method
  2.0.0.0
  System.Data.SqlClient.SqlBulkCopyColumnMapping `` ``

  Mappings in a collection must be uniform: either all integer/integer pairs, all string/string pairs, all integer/string pairs, or all string/integer pairs. If you try to add a mapping that is different from others already in the collection, an is thrown.

  Creates a new and adds it to the collection, using ordinals to specify both source and destination columns.

  A column mapping.

  The ordinal position of the source column within the data source. The ordinal position of the destination column within the destination table.
- Method
  2.0.0.0
  System.Data.SqlClient.SqlBulkCopyColumnMapping `` ``

  Mappings in a collection must be uniform: either all integer/integer pairs, all string/string pairs, all integer/string pairs, or all string/integer pairs. If you try to add a mapping that is different from others already in the collection, an is thrown.

  Creates a new and adds it to the collection, using an ordinal for the source column and a string for the destination column.

  A column mapping.

  The ordinal position of the source column within the data source. The name of the destination column within the destination table.
- Method
  2.0.0.0
  System.Data.SqlClient.SqlBulkCopyColumnMapping `` ``

  Mappings in a collection must be uniform: either all integer/integer pairs, all string/string pairs, all integer/string pairs, or all string/integer pairs. If you try to add a mapping that is different from others already in the collection, an is thrown.

  Creates a new and adds it to the collection, using a column name to describe the source column and an ordinal to specify the destination column.

  A column mapping.

  The name of the source column within the data source. The ordinal position of the destination column within the destination table.
- Method
  2.0.0.0
  System.Data.SqlClient.SqlBulkCopyColumnMapping `` ``

  Mappings in a collection must be uniform: either all integer/integer pairs, all string/string pairs, all integer/string pairs, or all string/integer pairs. If you try to add a mapping that is different from others already in the collection, an is thrown.

  Creates a new and adds it to the collection, using column names to specify both source and destination columns.

  A column mapping.

  The name of the source column within the data source. The name of the destination column within the destination table.
- Method
  2.0.0.0
  System.Void

  The method is most commonly used when you use a single instance to process more than one bulk copy operation. If you create column mappings for one bulk copy operation, you must clear the after the method and before processing the next bulk copy.

  Performing several bulk copies using the same instance will usually be more efficient from a performance point of view than using a separate for each operation.

  Clears the contents of the collection.

- Method
  2.0.0.0
  System.Boolean `` To be added.

  Gets a value indicating whether a specified object exists in the collection.

  true if the specified mapping exists in the collection; otherwise false.

  A valid object.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the to an array of items, starting at a particular index.

  The one-dimensional array that is the destination of the elements copied from . The array must have zero-based indexing. The zero-based index in at which copying begins.
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Gets the index of the specified object.

  The zero-based index of the column mapping, or -1 if the column mapping is not found in the collection.

  The object for which to search.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Insert a new at the index specified.

  Integer value of the location within the at which to insert the new . object to be inserted in the collection.
- Property
  2.0.0.0
  System.Data.SqlClient.SqlBulkCopyColumnMapping `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  The method is most commonly used when you use a single instance to process more than one bulk copy operation. If you create column mappings for one bulk copy operation, you must remove mappings that no longer apply after the method is called and before defining mapping for the next bulk copy. You can clear the entire collection by using the method, or remove mappings individually using the method or the method.

  Performing several bulk copies using the same instance will usually be more efficient from a performance point of view than using a separate for each operation.

  Removes the specified element from the .

  object to be removed from the collection.
- Method
  2.0.0.0
  System.Void ``

  The method is most commonly used when you use a single instance to process more than one bulk copy operation. If you create column mappings for one bulk copy operation, you must remove mappings that no longer apply after the method is called and before defining mapping for the next bulk copy. You can clear the entire collection by using the method, or remove mappings individually using the method or the method.

  Performing several bulk copies using the same instance will usually be more efficient from a performance point of view than using a separate for each operation.

  Removes the mapping at the specified index from the collection.

  The zero-based index of the object to be removed from the collection.